Bug 240560 - Ensure org_ids list is always populated
Ensure org_ids list is always populated
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn500
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Bret McMillan
:
Depends On:
Blocks: 229785 229951 239809
  Show dependency treegraph
 
Reported: 2007-05-18 09:30 EDT by James Bowes
Modified: 2013-01-10 04:53 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 16:25:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2007-05-18 09:30:04 EDT
sometimes SOA sends back an empty list of org_ids. make sure it always at least
contains the default. See also bz #233067
Comment 1 James Bowes 2007-05-22 13:34:46 EDT
If the SOA service sends back an empty list when the client asks for a list of
possible orgs, we populate it with the default org (and call it 'Default'). This
should stop the tui from tracebacking.
Comment 2 James Bowes 2007-06-19 13:33:32 EDT
to test, register a rhel 5 system using the tui, and have it not blow up.
the tricky part is actually finding a user in the env that doesn't have its
org_id returned by the EntitlementService; noone seems to know how to find out
this info. :(
Comment 3 James Bowes 2007-06-19 16:09:47 EDT
ok, should be able to use user 'foodle' in webqa to test.
Comment 4 Bret McMillan 2007-06-22 13:43:08 EDT
Test plan isn't sufficient, tested foodle in stage:

[bretm@potential test]$ ./test_up2date_checks.py --verbose --server=stage
--test=get_possible_orgs --username=foodle --password=[censored]
--os-release=5Client --os-arch=x86_64 
Running get_possible_orgs: Tests the registration._get_possible_orgs function
Connecting to http://xmlrpc.rhn.stage.redhat.com/XMLRPC
{'orgs': {'5029982': 'Default Group'}, 'default_org': '5029982'}

And it worked fine there.  Presumption is that stage should not work, and webqa
works.

Webqa *does* work for foodle now, but why isn't stage barfing?
Comment 5 James Bowes 2007-06-22 13:47:23 EDT
zuh. sorry. I had reverted foodle back to a good state so i could get other
testing done. Let me know when you look at this again, and I can make the change
to a user for you.
Comment 7 James Bowes 2007-07-25 11:17:59 EDT
rhn502 released.
Comment 8 James Bowes 2007-07-25 16:25:44 EDT
rhn502 is released

Note You need to log in before you can comment on or make changes to this bug.